package com.mx.dla.dda.contrato.transaccion.titulos.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class TituloTransaccionDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
																																																			
	private Long idTituloCnt;
	private Long idContrato;
	private Long idLista;	
	private String idBv;		
	private Long idTituloCntoOrig;		
	private String nombreUnico;
	private String nombreEstandar;
	private String temporada;
	private String episodio;	
	private String categoriaDTR;
	private String categoriaDTO;
	private String tier;
	private String categoriaSerie;
	private String filial;
	private String categoria;
	private String genero;
	private String generoB;
	private String movieSerie;
	private String nombreTotalSer;
	private String idSap;
	private Date   hvrd;
	private Date   fechaInicio;
	private Date   fechaFin;
	private Date   fechaNotiSap;
	private Boolean briefcase;
	private Boolean dtr;
	private Boolean dto;
	private Boolean sd;
	private Boolean hd;
	private Boolean tresd;
	private Integer agrupable;
	private Integer duracion;
	private Integer anio;
	private Double  release;
	private Double  revenueShare;
	private Double  boxOffice;
	private Double  categoriaMG;
	private Double  mg;	
	private String typeTitulo;
	private String nombreEnEspaniol;	
	private String nombreEnIngles;
	private String nombreEnPortugues;
	
	public Long getIdTituloCnt() {
		return idTituloCnt;
	}
	public void setIdTituloCnt(Long idTituloCnt) {
		this.idTituloCnt = idTituloCnt;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public Long getIdLista() {
		return idLista;
	}
	public void setIdLista(Long idLista) {
		this.idLista = idLista;
	}
	public String getIdBv() {
		return idBv;
	}
	public void setIdBv(String idBv) {
		this.idBv = idBv;
	}
	public Long getIdTituloCntoOrig() {
		return idTituloCntoOrig;
	}
	public void setIdTituloCntoOrig(Long idTituloCntoOrig) {
		this.idTituloCntoOrig = idTituloCntoOrig;
	}
	public String getNombreUnico() {
		return nombreUnico;
	}
	public void setNombreUnico(String nombreUnico) {
		this.nombreUnico = nombreUnico;
	}
	public String getNombreEstandar() {
		return nombreEstandar;
	}
	public void setNombreEstandar(String nombreEstandar) {
		this.nombreEstandar = nombreEstandar;
	}
	public String getTemporada() {
		return temporada;
	}
	public void setTemporada(String temporada) {
		this.temporada = temporada;
	}
	public String getEpisodio() {
		return episodio;
	}
	public void setEpisodio(String episodio) {
		this.episodio = episodio;
	}
	public String getCategoriaDTR() {
		return categoriaDTR;
	}
	public void setCategoriaDTR(String categoriaDTR) {
		this.categoriaDTR = categoriaDTR;
	}	
	public String getTier() {
		return tier;
	}
	public void setTier(String tier) {
		this.tier = tier;
	}
	public String getCategoriaSerie() {
		return categoriaSerie;
	}
	public void setCategoriaSerie(String categoriaSerie) {
		this.categoriaSerie = categoriaSerie;
	}
	public String getFilial() {
		return filial;
	}
	public void setFilial(String filial) {
		this.filial = filial;
	}
	public String getCategoria() {
		return categoria;
	}
	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}
	public String getGenero() {
		return genero;
	}
	public void setGenero(String genero) {
		this.genero = genero;
	}
	public String getGeneroB() {
		return generoB;
	}
	public void setGeneroB(String generoB) {
		this.generoB = generoB;
	}
	public String getMovieSerie() {
		return movieSerie;
	}
	public void setMovieSerie(String movieSerie) {
		this.movieSerie = movieSerie;
	}
	public String getIdSap() {
		return idSap;
	}
	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}
	public Date getHvrd() {
		return hvrd;
	}
	public void setHvrd(Date hvrd) {
		this.hvrd = hvrd;
	}
	public Date getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public Date getFechaFin() {
		return fechaFin;
	}
	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}
	public Date getFechaNotiSap() {
		return fechaNotiSap;
	}
	public void setFechaNotiSap(Date fechaNotiSap) {
		this.fechaNotiSap = fechaNotiSap;
	}
	public Boolean getBriefcase() {
		return briefcase;
	}
	public void setBriefcase(Boolean briefcase) {
		this.briefcase = briefcase;
	}
	public Boolean getDtr() {
		return dtr;
	}
	public void setDtr(Boolean dtr) {
		this.dtr = dtr;
	}
	public Boolean getDto() {
		return dto;
	}
	public void setDto(Boolean dto) {
		this.dto = dto;
	}
	public Boolean getSd() {
		return sd;
	}
	public void setSd(Boolean sd) {
		this.sd = sd;
	}
	public Boolean getHd() {
		return hd;
	}
	public void setHd(Boolean hd) {
		this.hd = hd;
	}
	public Boolean getTresd() {
		return tresd;
	}
	public void setTresd(Boolean tresd) {
		this.tresd = tresd;
	}
	public Integer getAgrupable() {
		return agrupable;
	}
	public void setAgrupable(Integer agrupable) {
		this.agrupable = agrupable;
	}
	public Integer getDuracion() {
		return duracion;
	}
	public void setDuracion(Integer duracion) {
		this.duracion = duracion;
	}
	public Integer getAnio() {
		return anio;
	}
	public void setAnio(Integer anio) {
		this.anio = anio;
	}
	public Double getRelease() {
		return release;
	}
	public void setRelease(Double release) {
		this.release = release;
	}
	public Double getRevenueShare() {
		return revenueShare;
	}
	public void setRevenueShare(Double revenueShare) {
		this.revenueShare = revenueShare;
	}
	public Double getBoxOffice() {
		return boxOffice;
	}
	public void setBoxOffice(Double boxOffice) {
		this.boxOffice = boxOffice;
	}
	public Double getCategoriaMG() {
		return categoriaMG;
	}
	public void setCategoriaMG(Double categoriaMG) {
		this.categoriaMG = categoriaMG;
	}
	public Double getMg() {
		return mg;
	}
	public void setMg(Double mg) {
		this.mg = mg;
	}
	public String getCategoriaDTO() {
		return categoriaDTO;
	}
	public void setCategoriaDTO(String categoriaDTO) {
		this.categoriaDTO = categoriaDTO;
	}
	public String getNombreTotalSer() {
		return nombreTotalSer;
	}
	public void setNombreTotalSer(String nombreTotalSer) {
		this.nombreTotalSer = nombreTotalSer;
	}
	public String getTypeTitulo() {
		return typeTitulo;
	}
	public void setTypeTitulo(String typeTitulo) {
		this.typeTitulo = typeTitulo;
	}
	public String getNombreEnEspaniol() {
		return nombreEnEspaniol;
	}
	public void setNombreEnEspaniol(String nombreEnEspaniol) {
		this.nombreEnEspaniol = nombreEnEspaniol;
	}
	public String getNombreEnIngles() {
		return nombreEnIngles;
	}
	public void setNombreEnIngles(String nombreEnIngles) {
		this.nombreEnIngles = nombreEnIngles;
	}
	public String getNombreEnPortugues() {
		return nombreEnPortugues;
	}
	public void setNombreEnPortugues(String nombreEnPortugues) {
		this.nombreEnPortugues = nombreEnPortugues;
	}		
	
										
}